Skip to main content

UPDATE ORDERCART API

This API allows you to update an existing order cart with new order details.

Endpoint: PUT /transactional/v1/ordercart

🔑 Header Parameters

HeaderTypeDescriptionExample
Content-TypestringSpecifies the media type of the requestapplication/json
AuthorizationstringBearer token for authenticated requests{{access_token}}

📑 Request Body Parameters

FieldTypeRequiredDescriptionExample / Enum
ordercartNamestringYesUpdated name for the order cart"CART01"
ordersstringYesJSON-stringified array of updated order objectsRefer below
versionstringYesVersion of the ordercart schema"1"
createdBystringYesUser ID of the original creator"DEMO100"
modifiedBystringYesUser ID of the user performing the update"DEMO100"
executedNoTimeintegerYesCount of how many times the cart has been executed0
ordercartIdstringYesExisting order cart ID to be updated"2662 1D"

The orders array structure for the Update request follows the same schema as the Create Ordercart endpoint. Refer to the Orders Array and scripDetail Object Fields tables above.

🟢 Success Response - 200 OK

Content-Type: application/json

FieldTypeDescriptionExample
statusstringStatus of API call"success"
codestringResponse code to user request"s-101"
messagestringSuccess message"Order cart updated successfully"
dataarrayArray containing resultRefer to Data Object Fields

📦 Data Object Fields

FieldTypeDescriptionExample
messagestringConfirmation of outcome"success"